### A free/open-source library for quantitative finance

Public Member Functions
LocalConstantVol Class Reference

Constant local volatility, no time-strike dependence. More...

`#include <ql/termstructures/volatility/equityfx/localconstantvol.hpp>`

Inheritance diagram for LocalConstantVol:
[legend]

List of all members.

## Public Member Functions

| LocalConstantVol (const Date &referenceDate, Volatility volatility, const DayCounter &dayCounter)
| LocalConstantVol (const Date &referenceDate, const Handle< Quote > &volatility, const DayCounter &dayCounter)
| LocalConstantVol (Natural settlementDays, const Calendar &, Volatility volatility, const DayCounter &dayCounter)
| LocalConstantVol (Natural settlementDays, const Calendar &, const Handle< Quote > &volatility, const DayCounter &dayCounter)
TermStructure interface
DayCounter | dayCounter () const
| the day counter used for date/time conversion
Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
Visitability
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Constant local volatility, no time-strike dependence.

This class implements the LocalVolatilityTermStructure interface for a constant local volatility (no time/asset dependence). Local volatility and Black volatility are the same when volatility is at most time dependent, so this class is basically a proxy for BlackVolatilityTermStructure.